###################################################
### chunk number 1: setup
###################################################
#line 21 "d:/Rcompile/CRANpkg/local/2.12/cda/inst/doc/introduction-cda.Rnw"
library(cda)
library(ggplot2)
theme_set(theme_minimal())
## ls("package:cda")
options(demo.ask=FALSE)
## wavelengths
wvl <- seq(400,900)
## dielectric function
gold <- epsAu(wvl)
vp <- viewport(width=unit(4,"in"), height=unit(4, "in"))


###################################################
### chunk number 2: sdimer_linear
###################################################
#line 42 "d:/Rcompile/CRANpkg/local/2.12/cda/inst/doc/introduction-cda.Rnw"
demo(dimer_linear, echo=FALSE)


###################################################
### chunk number 3: dimer_linear
###################################################
#line 47 "d:/Rcompile/CRANpkg/local/2.12/cda/inst/doc/introduction-cda.Rnw"
print(p)


###################################################
### chunk number 4: sdiffractive_chain
###################################################
#line 67 "d:/Rcompile/CRANpkg/local/2.12/cda/inst/doc/introduction-cda.Rnw"
demo(diffractive_chain, echo=FALSE)


###################################################
### chunk number 5: diffractive_chain
###################################################
#line 70 "d:/Rcompile/CRANpkg/local/2.12/cda/inst/doc/introduction-cda.Rnw"
print(p)


###################################################
### chunk number 6: slattice_sum
###################################################
#line 79 "d:/Rcompile/CRANpkg/local/2.12/cda/inst/doc/introduction-cda.Rnw"
demo(lattice_sum, echo=FALSE)


###################################################
### chunk number 7: lattice_sum
###################################################
#line 84 "d:/Rcompile/CRANpkg/local/2.12/cda/inst/doc/introduction-cda.Rnw"
print(p)


###################################################
### chunk number 8: sdimer_cd
###################################################
#line 101 "d:/Rcompile/CRANpkg/local/2.12/cda/inst/doc/introduction-cda.Rnw"
demo(dimer_cd, echo=FALSE)


###################################################
### chunk number 9: dimer_cd
###################################################
#line 106 "d:/Rcompile/CRANpkg/local/2.12/cda/inst/doc/introduction-cda.Rnw"
print(p)


###################################################
### chunk number 10: shelix_cd
###################################################
#line 120 "d:/Rcompile/CRANpkg/local/2.12/cda/inst/doc/introduction-cda.Rnw"
demo(helix_cd, echo=FALSE)


###################################################
### chunk number 11: helix_cd
###################################################
#line 125 "d:/Rcompile/CRANpkg/local/2.12/cda/inst/doc/introduction-cda.Rnw"
print(p)


